diff options
author | Jonas Smedegaard <dr@jones.dk> | 2007-07-12 19:37:41 +0000 |
---|---|---|
committer | Jonas Smedegaard <dr@jones.dk> | 2007-07-12 19:37:41 +0000 |
commit | 809ae5b8f8b4e75fdc32a367b32b98fe479b5dca (patch) | |
tree | fa50de9f32517f7375ae9a4c98ad08bfe85445bd | |
parent | 3a5f3ea0095f57a4200146b7e0aef862251fc81e (diff) |
Fix sort. Fix version check.
-rwxr-xr-x | postfix/postfix.sh | 9 |
1 files changed, 6 insertions, 3 deletions
diff --git a/postfix/postfix.sh b/postfix/postfix.sh index 5a79969..6c9ad5b 100755 --- a/postfix/postfix.sh +++ b/postfix/postfix.sh @@ -3,7 +3,7 @@ # /etc/local-COMMON/postfix/postfix.sh # Copyright 2002-2007 Jonas Smedegaard <dr@jones.dk> # -# $Id: postfix.sh,v 1.49 2007-07-12 19:25:09 jonas Exp $ +# $Id: postfix.sh,v 1.50 2007-07-12 19:37:41 jonas Exp $ # # Auto-tweak plain installed postfix Debian package # @@ -15,13 +15,16 @@ set -e +# Let's standardize sort +export LC_ALL=C + realmsdir='/etc/local-REDPILL' configdirs='/etc/local/postfix /etc/local-ORG/postfix /etc/local-REDPILL/postfix /etc/local-COMMON/postfix' confdir='/etc/postfix' postconf=/usr/sbin/postconf sp='[[:space:]]' -if ! $postconf -d mail_version | grep -q '= 2\.2'; then - echo "ERROR: Bad postfix version - this script is known to work only for postfix 2.2" +if ! $postconf -d mail_version | egrep -q '= 2\.[2-9]'; then + echo "ERROR: Bad postfix version - this script is known to work only for postfix 2.2 and later" exit 1 fi if ! [ -d "$realmsdir" ]; then |